# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "bbc/cosmos/tools/version"

Gem::Specification.new do |spec|
  spec.name          = "bbc-cosmos-tools"
  spec.version       = BBC::Cosmos::Tools::VERSION
  spec.authors       = ["Steven Jack"]
  spec.email         = ["stevenmajack@gmail.com"]
  spec.description   = "Tool for interacting with BBC Cosmos platform"
  spec.summary       = "Tool for pusing config to cosmos and controlling cloudformation templates"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  spec.executables   << "bbc-cosmos-tools"
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"

  spec.add_runtime_dependency "thor"
  spec.add_runtime_dependency "faraday"
  spec.add_runtime_dependency "cfndsl"
  spec.add_runtime_dependency "aws-sdk", "~> 1.63.0"
  spec.add_runtime_dependency "highline"
  spec.add_runtime_dependency "easy_diff"
  spec.add_runtime_dependency "ansi"
end
